Subject: Re: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Dec 2023 11:50:02 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 30 Dec 2023 10:08:34 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Ihor Radchenko <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked]
> > Date: Fri, 29 Dec 2023 13:55:45 +0000
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > >> No. I just had a problem with my local git repo. git reset fixed it and
> > >> revealed that the patch is indeed not installed yet.
> > >
> > > Is that patch still valid, or do you need to rebase it?  Would you
> > > like to repost it?
> > 
> > All the three patches I submitted in this thread are cleanly applying
> > onto freshly cloned master.
> 
> Thanks, I installed them.
> 
> Should we now close this bug?

Ehmm...  I see that test/src/buffer-tests now have 5 failures that
were not there before:

  5 unexpected results:
     FAILED  test-buffer-modifications
     FAILED  test-kill-buffer-auto-save-default
     FAILED  test-kill-buffer-auto-save-delete-no
     FAILED  test-kill-buffer-auto-save-delete-yes
     FAILED  test-restore-buffer-modified-p

Also, 7 of the lisp/files-test fail:

  7 unexpected results:
     FAILED  files-tests-bug-18141
     FAILED  files-tests-file-name-non-special-make-auto-save-file-name
     FAILED  files-tests-file-name-non-special-set-visited-file-modtime
     FAILED  files-tests-no-file-write-contents
     FAILED  files-tests-revert-buffer
     FAILED  files-tests-revert-buffer-with-fine-grain
     FAILED  files-tests-zzdont-rewrite-precious-files

Could you please look into these?  (Interestingly, those 5+7 don't
fail for me on MS-Windows, only on GNU/Linux...)